Bug 524988 - backtrace when customizing package selection
Summary: backtrace when customizing package selection
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:19a326dbc3baff44e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 21:57 UTC by Jeff Bastian
Modified: 2009-10-15 08:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-15 08:39:25 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (195.46 KB, text/plain)
2009-09-22 21:57 UTC, Jeff Bastian
no flags Details
Attached traceback automatically from anaconda. (312.29 KB, text/plain)
2009-10-02 18:54 UTC, Joachim Frieben
no flags Details
Attached traceback automatically from anaconda. (791.82 KB, text/plain)
2009-10-15 03:41 UTC, Joachim Frieben
no flags Details

Description Jeff Bastian 2009-09-22 21:57:11 UTC
The following was filed automatically by anaconda:
anaconda 12.26 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/task_gui.py", line 538, in _anyRepoEnabled
    if model.get_value(iter, 0):
  File "/usr/lib/anaconda/iw/task_gui.py", line 467, in getNext
    if not self._anyRepoEnabled():
  File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
    rc = self.currentWindow.getNext ()
TypeError: iter must be a GtkTreeIter

Comment 1 Jeff Bastian 2009-09-22 21:57:16 UTC
Created attachment 362144 [details]
Attached traceback automatically from anaconda.

Comment 2 Jeff Bastian 2009-09-22 22:01:11 UTC
I was trying to install rawhide and got a traceback when I tried to customize the package selection.

Anaconda could not find any repos automatically, so I pointed it at
  http://linux.nssl.noaa.gov/fedora/linux/development/i386/os/

Then, at the package selection screen, I unchecked "Office and Productivity" and checked "Customize Now", and when I clicked Next, I got the backtrace.

This was using boot.iso from yesterday (21-Sep-2009 08:02).

Comment 3 Radek Vykydal 2009-09-23 09:04:21 UTC
This is probably a consequence of https://bugzilla.redhat.com/show_bug.cgi?id=524599#c0, point 4.

Comment 4 Radek Vykydal 2009-09-23 10:02:01 UTC
Can you please check if updates image
http://rvykydal.fedorapeople.org/updates.repo.img
(for anaconda 12.26) fix it? In my tests it does.

Comment 5 Jeff Bastian 2009-09-23 13:30:36 UTC
That fixed it!

Comment 6 Radek Vykydal 2009-09-29 08:47:59 UTC
This should be fixed in version 12.32 of anaconda, thanks for report and testing.

Comment 7 Joachim Frieben 2009-10-02 18:54:17 UTC
Created attachment 363514 [details]
Attached traceback automatically from anaconda.

Comment 8 Joachim Frieben 2009-10-02 19:07:11 UTC
Comment on attachment 363514 [details]
Attached traceback automatically from anaconda.

After modyfing the URL of the rawhide channel twice (I wanted to pick a particular mirror site, and the first time, I got a complaint that the rawhide channel had already been defined), the software selection page remained "empty" (only outlines of panes and menus but no content). After waiting some time moment, I moved back to the repository page, clicked the bullet mark for not modifying the software selection and clicked the forward button. At this moment, the exception was thrown.

Comment 9 Joachim Frieben 2009-10-15 03:41:47 UTC
Created attachment 364848 [details]
Attached traceback automatically from anaconda.


Note You need to log in before you can comment on or make changes to this bug.